DWARF_GET_ABBREV_CODE(3) | Library Functions Manual | DWARF_GET_ABBREV_CODE(3)

# NAME

dwarf_get_abbrev_code — retrieve the abbreviation code for an abbreviation

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

#include <libdwarf.h>
int
dwarf_get_abbrev_code(Dwarf_Abbrev abbrev, Dwarf_Unsigned *ret, Dwarf_Error *err);

# DESCRIPTION

Function dwarf_get_abbrev_code() retrieves the abbreviation code for the abbreviation entry descriptor referenced by argument abbrev.
Argument ret should point to a location which will hold the returned abbreviation code.
If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

Function dwarf_get_abbrev_code() returns `DW_DLV_OK` when it succeeds. In case of an error, it returns `DW_DLV_ERROR` and sets the argument err.

# ERRORS

Function dwarf_get_abbrev_code() can fail with:

[`DW_DLE_ARGUMENT`]
  Either of arguments abbrev or ret was NULL.

# SEE ALSO

dwarf(3), dwarf_get_abbrev(3), dwarf_get_abbrev_tag(3), dwarf_get_abbrev_children_flag(3), dwarf_get_abbrev_entry(3)

March 13, 2011 | NetBSD 8.2